ResourceBundle
Date: 2016-06-24

java.util

## Class ResourceBundle

- java.lang.Object
- - java.util.ResourceBundle

- Direct Known Subclasses:
    ListResourceBundle, PropertyResourceBundle

      public abstract class ResourceBundle
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ResourceBundle` | `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceBundle()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ResourceBundle` | `getBundle(String var0)`
    `static ResourceBundle` | `getBundle(String var0, Locale var1)`
    `static ResourceBundle` | `getBundle(String var0, Locale var1, ClassLoader var2)`
    `abstract Enumeration` | `getKeys()`
    `Locale` | `getLocale()`
    `Object` | `getObject(String var0)`
    `String` | `getString(String var0)`
    `String[]` | `getStringArray(String var0)`
    `protected abstract Object` | `handleGetObject(String var0)`
    `protected void` | `setParent(ResourceBundle var0)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### parent

          protected ResourceBundle parent

  - ### Constructor Detail

    - #### ResourceBundle

          public ResourceBundle()

  - ### Method Detail

    - #### getBundle

          public static final ResourceBundle getBundle(String var0)

    - #### getBundle

          public static final ResourceBundle getBundle(String var0,
                                 Locale var1)

    - #### getBundle

          public static ResourceBundle getBundle(String var0,
                                 Locale var1,
                                 ClassLoader var2)

    - #### getKeys

          public abstract Enumeration getKeys()

    - #### getLocale

          public Locale getLocale()

    - #### getObject

          public final Object getObject(String var0)

    - #### getString

          public final String getString(String var0)

    - #### getStringArray

          public final String[] getStringArray(String var0)

    - #### handleGetObject

          protected abstract Object handleGetObject(String var0)

    - #### setParent

          protected void setParent(ResourceBundle var0)